RK-J - Task #1888

Formulae not displaying properly in PyTorch (katex class needs css)
11/15/2021 07:02 AM - Ram Kordale

Status: Closed Start date: 11/15/2021
Priority: High Due date: 04/11/2022
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 2.00 hours
Target version: 1-RK-J-1 Spent time: 4.00 hours
Description

Please see

https://edutestdev-240612.appspot.com/document/pytorch-notes/1?documentURL =10121%2Fks03nov21%2Fdocs%2F stable%2Fno
tes%2Fautograd-How-does-PyTorch-compute-the-conjugate-Wirtinger-derivative-36.html. Lot of formulae/symbols do not display
correctly. [Just in case this book is deleted, the o-url is
https://pytorch.org/docs/stable/notes/autograd.html#how-does-pytorch-compute-the-conjugate-wirtinger-derivative].

It seems that including adding <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/katex@0.13.11/dist/katex.min.css"
type="text/css"> in <head> tag fixes this.

History

#1 - 11/16/2021 08:53 AM - Ayush Khandelwal

- Due date set to 11/19/2021

- Assignee changed from Ayush Khandelwal to Rishabh Sharma
- Estimated time set to 2.00 h

#2 - 11/16/2021 10:18 AM - Rishabh Sharma

- Status changed from New to In Progress

#3 - 11/16/2021 01:45 PM - Rishabh Sharma
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#4 - 12/02/2021 01:39 PM - Rishabh Sharma
- Status changed from Resolved to Feedback

- Assignee changed from Rishabh Sharma to Ayush Khandelwal

#5 - 03/08/2022 09:35 AM - Ayush Khandelwal

- Status changed from Feedback to Reopened

- Assignee changed from Ayush Khandelwal to Rishabh Sharma
- % Done changed from 100 to 50

Kate library is not working in

https://edutestdev-240612.appspot.com/document/pytorch-python-api?documentURL=10123%2Fks28feb22%2F docs%2F stable%2F generated%2Fto
rch.nn.Convid.html

#6 - 03/08/2022 09:44 AM - Rishabh Sharma

- Status changed from Reopened to In Progress

#7 - 03/08/2022 12:03 PM - Rishabh Sharma
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#8 - 03/21/2022 09:09 AM - Rishabh Sharma

- Status changed from Resolved to Feedback
- Assignee changed from Rishabh Sharma to Ayush Khandelwal

#9 - 03/21/2022 11:09 AM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

It is working as expected here
https://edutestqa.appspot.com/document/pytorch-python-api?documentURL=10123%2Fks28feb22%2Fdocs%2F stable%2Fgenerated%2Ftorch.nn.C

onvid.html
#10 - 03/24/2022 01:21 PM - Ram Kordale
- Status changed from Feedback to New

- Assignee changed from Ram Kordale to Ayush Khandelwal

The original page in the ticket is now
https://edutestdev-24 ment/pytorch-notes?do ntURL=10121%

Ho-does-PyTorch-comput-h-con'ugate-Wirtingr-derivative-36.htm|. This is fixed.

However,
https://edutestdev-240612.appspot.com/document/pytorch-notes?documentURL=10121%2Fks23mar22%2Fdocs%2F stable%2Fnotes%2Fcuda-Just-i
n-Time-Compilation-56.html has a problem since it seems MathJax is wrongly applied.

#11 - 04/11/2022 11:53 AM - Ayush Khandelwal

- Due date changed from 11/19/2021 to 04/11/2022

- Assignee changed from Ayush Khandelwal to Rishabh Sharma
- % Done changed from 100 to 50

Not working as expected for some pages

#12 - 04/11/2022 12:09 PM - Rishabh Sharma

- Status changed from New to In Progress

#13 - 04/15/2022 11:48 AM - Rishabh Sharma
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#14 - 04/18/2022 05:19 AM - Rishabh Sharma

A page using Mathjax -
https:// v-24 . .com/
t-in-scalar-types-Aside-Floating-point-precision-30.html
A page using katex cdn -
https://edutestdev-240612.appspot.com/document/pytorch-notes?documentURL=10121%2Fks23mar22%2Fdocs%2F stable%2Fnotes%2Fautograd-
What-are-complex-derivatives-33.html
Page using Katex cdn , (should not use Mathjax)-

v-240612. .com/ ment/, rch-n ?documentURL=10121%2Fks23mar22%2Fdocs%2F stable%2Fnotes%2Fcuda-Just-i
n-Time-Compilation-56.html

#15 - 04/18/2022 06:13 AM - Rishabh Sharma
- Status changed from Resolved to Feedback

- Assignee changed from Rishabh Sharma to Ayush Khandelwal

#16 - 09/23/2022 11:52 AM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

Working as expected on QA
https://edutestga.appspot.com/document/pytorch-notes ?documentURL=10121%2Fks28dec21%2Fdocs%2F stable%2Fnotes%2Fautograd-How-does-
PyTorch-compute-the-conjugate-Wirtinger-derivative-36.html

#17 - 10/03/2022 06:00 AM - Ram Kordale
- Status changed from Feedback to Closed
